Bug 133094 - System crashes after configuring the ATI graphics card at boot time.
System crashes after configuring the ATI graphics card at boot time.
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-21 13:36 EDT by Anita Jayaraman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 07:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anita Jayaraman 2004-09-21 13:36:21 EDT
Description of problem:
Downloaded and installed the kernel version 2.4.21-20EL. At boot time
Kudzu configured my ATI Radeon 9600se card (supposedly using the newly
downloaded ATI 9600 radeon driver). Crashed after login/password input. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.From Professional Workstation newly installed from cds, ran up2date
to download and install all packages. 
2.At reboot, kudzu attempts to configure the graphics card - ATI
radeon 9600se
3.System crashes after logging in root/password.

  
Actual results:
System crashed, had to reboot, run in failsafe mode, copy the old
Xconfig86 file and reboot again.


Expected results:
Should boot cleanly with the right driver and not the VESA driver.

Additional info:
Also did the following - kernel 2.4.21-20
/usr/src/linux2.4#make mrproper
/usr/src/linux2.4#make xconfig
Configured whatever is needed to run ATI cards
/usr/src/linux2.4#make dep
/usr/src/linux2.4#make clean
/usr/src/linux2.4#make bzImage modules modules_install install

Looks for module sata_nv, does not find it and fails to run mkinitrd

So for the time being I get rid of the entry for the module in
/etc/modules.conf and rerun everything to make a new image.

I get a kernel panic at boot time, pointing to the entry in grub.conf.
So I reboot and change the entry in grub.conf to root=/dev/hda5.

Then get a new set of messages at boot time saying /proc/usb/bus not
found.. etc.etc.

So basically my 2.4.21-20 is defunct now. Please help. I can still run
on the older version of the kernel, 2.4.21-4 

I also did one other thing.. in the Makefile in /usr/src/linux2.4 I
took of the word custom from <version>custom. I hope this is ok.

Is there also a way that I can reinstall all the downloaded packages
from /var, so I can get my system back to normal.

Thanks for your attention.

Anita.
Comment 1 Anita Jayaraman 2004-09-21 17:11:33 EDT
System Information:

AMD Ahtlon64 processor, MSI motherboard using nVidia nForce3 250Gb
chipset.

Thanks.
Comment 3 Mike A. Harris 2004-09-23 07:59:25 EDT
Thanks for your report.  Red Hat Enterprise Linux version 4 will
be the first Enterprise Linux release to officially support the
Radeon 9600SE and similar variants.  While RHEL 3 does not
officially support this hardware, once Red Hat Enterprise Linux 4
is officially released, RHEL 3 customers will be able to upgrade
to the new operating system release via Red Hat Network.

Setting status to "NEXTRELEASE", as RHEL4 will be the first
Red Hat Enterprise Linux release to officially support this
hardware.

Note You need to log in before you can comment on or make changes to this bug.